//*****************************************************************************
//* Copyright (c) 2002-2005 Miday Workshop All rights reserved.
//*
//* File: DefRsc.h
//*****************************************************************************

// MainWin
#define MainWin									1100
#define MainWinModelButton						1101
#define MainWinSaveButton						1102
#define MainWinCancelButton						1103
#define MainWinPrevButton						1104
#define MainWinNextButton						1105
#define MainWinColorCategoryTrigger				1106
#define MainWinColorCategoryList				1107

// Model
#define Model								1200
#define ModelStartYearCategoryTrigger		1201
#define ModelStartYearCategoryList			1202
#define ModelStartMonthCategoryTrigger		1203
#define ModelStartMonthCategoryList			1204
#define ModelEndYearCategoryTrigger			1205
#define ModelEndYearCategoryList			1206
#define ModelEndMonthCategoryTrigger		1207
#define ModelEndMonthCategoryList			1208

#define ModelSunColorCategoryTrigger		1209
#define ModelSunColorCategoryList			1210
#define ModelMonColorCategoryTrigger		1212
#define ModelMonColorCategoryList			1213
#define ModelTueColorCategoryTrigger		1215
#define ModelTueColorCategoryList			1216
#define ModelWedColorCategoryTrigger		1218
#define ModelWedColorCategoryList			1219
#define ModelThuColorCategoryTrigger		1221
#define ModelThuColorCategoryList			1222
#define ModelFriColorCategoryTrigger		1224
#define ModelFriColorCategoryList			1225
#define ModelSatColorCategoryTrigger		1227
#define ModelSatColorCategoryList			1228

#define ModelNatColorCategoryTrigger		1230
#define ModelNatColorCategoryList			1231
#define ModelNatHolidayCheckBox				1240

#define ModelEasterColorCategoryTrigger		1233
#define ModelEasterColorCategoryList		1234
#define ModelEasterCheckBox					1241

#define ModelMemorialButton					1293
#define ModelInitButton						1294
#define ModelAddButton						1295
#define ModelDeleteButton					1296
#define ModelCancelButton					1297

// Tools
#define Tools									1400
//#define ToolsDataFileLabel						1401
#define ToolsDataFileButton						1402
#define ToolsColorFileText						1403
#define ToolsColorFileExportButton				1404
#define ToolsColorFileCategoryTrigger			1405
#define ToolsColorFileCategoryList				1406
#define ToolsColorFileDeleteButton				1407
#define ToolsOKButton							1491

// MemorialWin
#define MemorialWin								1500

#define MemorialWinSp1CheckBox					1501
#define MemorialWinSp1HolidayCheckBox			1502
#define MemorialWinSp1Color1CategoryTrigger		1503
#define MemorialWinSp1Color1CategoryList		1504
#define MemorialWinSp1Color2CategoryTrigger		1505
#define MemorialWinSp1Color2CategoryList		1506
#define MemorialWinSp1YearCategoryTrigger		1507
#define MemorialWinSp1YearCategoryList			1508
#define MemorialWinSp1MonthCategoryTrigger		1509
#define MemorialWinSp1MonthCategoryList			1510
#define MemorialWinSp1DayCategoryTrigger		1511
#define MemorialWinSp1DayCategoryList			1512

#define MemorialWinSp2CheckBox					1521
#define MemorialWinSp2HolidayCheckBox			1522
#define MemorialWinSp2Color1CategoryTrigger		1523
#define MemorialWinSp2Color1CategoryList		1524
#define MemorialWinSp2Color2CategoryTrigger		1525
#define MemorialWinSp2Color2CategoryList		1526
#define MemorialWinSp2YearCategoryTrigger		1527
#define MemorialWinSp2YearCategoryList			1528
#define MemorialWinSp2MonthCategoryTrigger		1529
#define MemorialWinSp2MonthCategoryList			1530
#define MemorialWinSp2DayCategoryTrigger		1531
#define MemorialWinSp2DayCategoryList			1532

#define MemorialWinSp3CheckBox					1541
#define MemorialWinSp3HolidayCheckBox			1542
#define MemorialWinSp3Color1CategoryTrigger		1543
#define MemorialWinSp3Color1CategoryList		1544
#define MemorialWinSp3Color2CategoryTrigger		1545
#define MemorialWinSp3Color2CategoryList		1546
#define MemorialWinSp3YearCategoryTrigger		1547
#define MemorialWinSp3YearCategoryList			1548
#define MemorialWinSp3MonthCategoryTrigger		1549
#define MemorialWinSp3MonthCategoryList			1550
#define MemorialWinSp3DayCategoryTrigger		1551
#define MemorialWinSp3DayCategoryList			1552

#define MemorialWinSp4CheckBox					1561
#define MemorialWinSp4HolidayCheckBox			1562
#define MemorialWinSp4Color1CategoryTrigger		1563
#define MemorialWinSp4Color1CategoryList		1564
#define MemorialWinSp4Color2CategoryTrigger		1565
#define MemorialWinSp4Color2CategoryList		1566
#define MemorialWinSp4YearCategoryTrigger		1567
#define MemorialWinSp4YearCategoryList			1568
#define MemorialWinSp4MonthCategoryTrigger		1569
#define MemorialWinSp4MonthCategoryList			1570
#define MemorialWinSp4DayCategoryTrigger		1571
#define MemorialWinSp4DayCategoryList			1572

#define MemorialWinSetButton					1591
#define MemorialWinCancelButton					1592
#define MemorialWinHolLabel						1593
#define MemorialWinWeekLabel					1594

// BeamWin
#define BeamWin									1600
#define BeamWinLabel1							1601
#define BeamWinStartYearCategoryTrigger			1602
#define BeamWinStartYearCategoryList			1603
#define BeamWinStartMonthCategoryTrigger		1604
#define BeamWinStartMonthCategoryList			1605
#define BeamWinEndYearCategoryTrigger			1607
#define BeamWinEndYearCategoryList				1608
#define BeamWinEndMonthCategoryTrigger			1609
#define BeamWinEndMonthCategoryList				1610
#define BeamWinLabel2							1611
#define BeamWinAllDataCheckBox					1612
#define BeamWinColorCheckBox					1613
#define BeamWinColorTextCheckBox				1614
#define BeamWinStartYearLabel					1615
#define BeamWinStartMonthLabel					1616
#define BeamWinEndYearLabel						1617
#define BeamWinEndMonthLabel					1618
#define BeamWinRecvButton						1621
#define BeamWinSendButton						1622
#define BeamWinCancelButton						1623

#define Preferences								1700
#define PreferencesV2CheckBox					1701
#define PreferencesHolCheckBox					1702
#define PreferencesBeamCheckBox					1703
#define PreferencesOKButton						1791
#define PreferencesCancelButton					1792

#define ColorDefine								1800
#define ColorDefineOKButton						1801
#define ColorDefineCancelButton					1802
#define ColorDefineColor1Text					1803
#define ColorDefineColor2Text					1804
#define ColorDefineColor3Text					1805
#define ColorDefineColor4Text					1806
#define ColorDefineColor5Text					1807
#define ColorDefineColor6Text					1808
#define ColorDefineColor7Text					1809
#define ColorDefineColor1CheckBox				1810
#define ColorDefineColor2CheckBox				1811
#define ColorDefineColor3CheckBox				1812
#define ColorDefineColor4CheckBox				1813
#define ColorDefineColor5CheckBox				1814
#define ColorDefineColor6CheckBox				1815
#define ColorDefineColor7CheckBox				1816
#define ColorDefineColorNumberCategoryTrigger	1817
#define ColorDefineColorNumberCategoryList		1818
#define ColorDefineInportCategoryTrigger		1819
#define ColorDefineInportCategoryList			1820
#define ColorDefineInportButton					1821

// About Dialog
#define AboutDialog								2900
#define AboutModoruButton						2901


// Menus
#define Option11MenuBar							1000
#define Option2MenuBar							1100
#define Option3MenuBar							1200
#define AboutMenuBar							1300
#define Option12MenuBar							1400

// Optopn11 Menu commands
#define Option11ColorDefCmd						1000
#define Option11ModelCmd						1001
#define Option11PrefCmd							1002
#define Option11ToolsCmd						1003
#define Option11BeamSendCmd						1005
#define Option11AboutCmd						1007

// Optopn2 Menu commands
#define Option2ColorDefCmd						1100
#define Option2MemorialCmd						1101
#define Option2AboutCmd							1102

// Optopn3 Menu commands
#define Option3ColorDefCmd						1200
#define Option3AboutCmd							1201

// About Menu commands
#define AboutAboutCmd							1300

// Optopn12 Menu commands
#define Option12ColorDefCmd						1400
#define Option12ModelCmd						1401
#define Option12PrefCmd							1402
#define Option12ToolsCmd						1403
#define Option12BeamSendCmd						1405
#define Option12BluetoothSendCmd				1406
#define Option12AboutCmd						1408

// Alert
#define AltSave									1001
#define AltCancel								1002
#define AltExit									1003
#define AltDelete								1004
#define AltDelColorFile							1005
#define AltDelDataFile							1006
#define AltColorFileUpdate						1007
#define AltColorFileInport						1008
#define AltRangeError							1009
#define AltDataNotFound							1010
#define AltColorOverLoad						1101
#define AltColorOverSave						1102
#define AltTextOverLoad							1103
#define AltTextOverSave							1104
#define AltColorDecreases						1105
#define AltMakeSpotRun							1106
#define AltBeamCannot							1107
#define AltBeamVersion							1108

//Strings
#define StringYEAR								1000
#define StringMONTH								1100
#define StringHI								1200
#define StringEVERYYEAR							1300
#define Stringbyte								1400
#define StringWeekName							1500
#define StringYEAR2								1600
#define StringBeam11							1700
#define StringBeam12							1800
//#define StringBeam21							1900
//#define StringBeam22							2000
#define StringColorDef							2100
#define StringColor1							2200
#define StringColor2							2300
#define StringColor3							2400
#define StringColor4							2500
#define StringColor5							2600
#define StringColor6							2700
#define StringColor7							2800
#define StringNormal							2900
#define StringWeekDay							3000
#define StringHoliday							3100
#define StringMonthName							3200
#define StringDeleteTitle						3300
#define StringEasterFlag						9100
